Notifly
API ReferenceContexts

List all contexts

Retrieve a paginated list of all contexts, optionally filtered by type and key pattern. **type** and **id** are optional fields, if provided, only contexts with the matching type and id will be returned. **search** is an optional field, if provided, only contexts with the matching key pattern will be returned. Checkout all possible parameters in the query section below for more details

GET
/v2/contexts

Retrieve a paginated list of all contexts, optionally filtered by type and key pattern. type and id are optional fields, if provided, only contexts with the matching type and id will be returned. search is an optional field, if provided, only contexts with the matching key pattern will be returned. Checkout all possible parameters in the query section below for more details

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Query Parameters

after?string

Cursor for pagination indicating the starting point after which to fetch results.

before?string

Cursor for pagination indicating the ending point before which to fetch results.

limit?number

Limit the number of items to return

orderDirection?string

Direction of sorting

Value in

  • "ASC"
  • "DESC"
orderBy?string

Field to order by

includeCursor?boolean

Include cursor item in response

id?string

Filter contexts by id

search?string

Search contexts by type or id (supports partial matching across both fields)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/contexts?limit=10&id=tenant-prod-123&search=tenant"
{  "data": {    "data": [      {        "type": "string",        "id": "string",        "data": {},        "createdAt": "string",        "updatedAt": "string"      }    ],    "next": "string",    "previous": "string",    "totalCount": 0,    "totalCountCapped": true  }}